%global srcname pyrtlsdr
Name:             python-%{srcname}
Version:          0.2.8
Release:          4%{?dist}
Summary:          Python binding for librtlsdr
License:          GPLv3
URL:              https://github.com/roger-/pyrtlsdr
Source0:          https://github.com/roger-/%{srcname}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:        noarch

%description
Python binding for librtlsdr (a driver for Realtek RTL2832U based SDR's).

%package -n python2-%{srcname}
Summary:          Python 2 binding for librtlsdr
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:    python2-devel, python2-setuptools
BuildRequires:    python2-pypandoc, python2-wheel, python2-m2r
# needed for librtlsdr
Requires:         rtl-sdr
# faster arrays
Recommends:       python2-numpy

%description -n python2-%{srcname}
Python 2 binding for librtlsdr (a driver for Realtek RTL2832U based SDR's).

%package -n python3-%{srcname}
Summary:          Python 3 binding for librtlsdr
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:    python3-devel, python3-setuptools
BuildRequires:    python3-pypandoc, python3-wheel, python3-m2r
# needed for librtlsdr
Requires:         rtl-sdr
# faster arrays
Recommends:       python2-numpy

%description -n python3-%{srcname}
Python 3 binding for librtlsdr (a driver for Realtek RTL2832U based SDR's).

%prep
%setup -qcn %{srcname}-%{version}
mv %{srcname}-%{version} python2-%{srcname}
pushd python2-%{srcname}
rm -rf pyrtlsdr.egg-info
chmod 644 rtlsdr/rtlsdrtcp/base.py
popd
cp -a python2-%{srcname} python3-%{srcname}

find python2-%{srcname} -name '*.py' | xargs sed -i '1s|^#!.*|#!%{__python2}|'
find python3-%{srcname} -name '*.py' | xargs sed -i '1s|^#!.*|#!%{__python3}|'

%build
pushd python2-%{srcname}
%py2_build
popd

pushd python3-%{srcname}
%py3_build
popd

%install
pushd python2-%{srcname}
%py2_install
popd

pushd python3-%{srcname}
%py3_install
popd

%files -n python2-%{srcname}
%doc python2-%{srcname}/README.md
%{python2_sitelib}/rtlsdr/
%{python2_sitelib}/%{srcname}-%{version}-*.egg-info

%files -n python3-%{srcname}
%doc python3-%{srcname}/README.md
%{python3_sitelib}/rtlsdr/
%{python3_sitelib}/%{srcname}-%{version}-*.egg-info

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.8-2
- Rebuilt for Python 3.7

* Mon May  7 2018 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.8-1
- New version
  Resolves: rhbz#1575179

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2.7-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Oct  5 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.7-1
- New version
  Resolves: rhbz#1497493

* Fri Aug 18 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.5-3
- This is an update fixing missing rtlsdraio module with python 2
  Resolves: rhbz#1473513

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 10 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.5-1
- New version
  Resolves: rhbz#1468790
- Dropped no-markdown patch (not needed)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.2-8
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jul 12 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.2-6
- Fixed rtlsdrtcp location

* Tue Jul 12 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.2-5
- Release bump to fix upgrade path from f23

* Thu Apr 21 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.2-3
- Removed rtlsdrtcp python objects from the sitedir

* Wed Apr 20 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.2-2
- rtlsdrtcp packaged into /usr/bin

* Tue Apr 12 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.2-1
- Initial release
